Subject: Re: [PATCH v2] rev-parse --namespace

From: Ilari Liusvaara <[email-masked]>
Date: Tue, 19 Jan 2010 20:37:36 +0200

On Tue, Jan 19, 2010 at 06:39:25PM +0100, Thomas Rast wrote:
> Ilari Liusvaara wrote:
> 
> Sorry for being so late to this discussion, but... wouldn't it be
> nicer to give it some globbing powers and the same semantics as
> 'fetch' lines?  That way spelling "all master branches of my remotes"
> and other such things would be easy.

Unfortunately doesn't seem to be easy to do, as push and fetch have
their own refspec logic. In fact, if matching power would be extended,
probably the easiest extension would be full-blown extended regular
expressions.

-Ilari